Description

As | began documenting storedProcedure it seemed to me that it is not
appropriately modeled. In eml-view, there is "queryStatement" which allows the

user to provide the sql code necessary to produce the view that is being documented.

In storedProcedure, however, "parameter” replaces queryStatement. In order to
invoke a stored procedure, however, you need more than just the parameters. You
need the name of the storedProcedure or something equivalent to the
queryStatement found in eml-view. | would proposed a structure for
storedProcedure that resembles eml-view.

| am assuming that storedProcedure is meant to apply primarily to a DBMS. If so,
then the storedProcedure syntax and execution must be system specific. If the
intent is to describe the stored procedure, then that should be done in
eml-software.

History

#1 - 09/23/2002 12:10 PM - David Blankman

This is a proposed replacement for the storedProcedure schema.

#4 - 09/23/2002 04:44 PM - David Blankman

Peter McCartney & | discussed the storedProcedure module. We both agreed that
the current structure is inadequate. The problems and proposed changes are
related to the structure of the parameter element.

We came up with three possible modifications. In each option the datatype field
is removed. (in order of complexity):

1. Remove datatype and substitute it with a field called domainDescription. The
content of this field would be a text description of the allowable values. This

is a human readable description with no pretense of machine processing. (my
preference).

2. Remove datatype and replace it with the attributeDomain complex type. This
allows for more structured description of the allowable values.

3. Remove datatype and replace it with a choice of options 1 and option2, that is,
<choice>

<domainDescription>

<att:attributeDomain>

<choice>

| have attached a png file of what option 3 might look like.

#5 - 10/01/2002 05:32 PM - David Blankman

Changed parameter/datatype to parameter/domainDescription and added documentation.
The domainDescription still needs a good example in the documentation.

#6 - 10/04/2002 02:51 PM - David Blankman

| provided an example for domainDescription. The example isn't as good as |
would like, but should be sufficient for technical documentation (especially
since the user population is likely to be relatively small.

#7 - 03/27/2013 02:14 PM - Redmine Admin
Original Bugzilla ID was 600

Files

eml-storedProcedureProposed.xsd 5.31 KB 09/23/2002 David Blankman

eml-storedProcedure.xsd 9.76 KB 09/23/2002 David Blankman

ParameterType2.png 4.42 KB 09/23/2002 David Blankman
04/09/2024 2/2


http://www.tcpdf.org

